idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.IdrisDoc

Description

Synopsis

- generateDocs :: IState -> [Name] -> FilePath -> IO (Either String ())

# Documentation

generateDocs #

Arguments

:: IState | IState where all necessary information is extracted from.
-> [Name] | List of namespaces to generate documentation for.
-> FilePath | The directory to which documentation will be written.
-> IO (Either String ()) |

Generates HTML documentation for a series of loaded namespaces and their dependencies.